%{
#define YYSTYPE double
#include "nEliminationSteps.tab.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}


%%
[ \t]+      { ; }  /* elimina espaços e "tabs */

"Number of elimination proof steps:" { //printf("1-");
                                     return(NumberSteps);
                                   }  

[0-9]+ {//printf("5-");
	  sscanf(yytext,"%d",&yylval); 
          return(INT);
       }

\n         return (yytext[0]); 

.        { ; /* ignora tudo o resto */ }

%%


int yywrap()                  /* called by yylex()                  */
{ return(1); }                /*   0: yylex() continues reading     */
                              /*   other: yylex() stops             */
